Bug 990460 - root and boot partitions for arm images should have more userfriendly names
Summary: root and boot partitions for arm images should have more userfriendly names
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: appliance-tools
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2013-07-31 09:08 UTC by Hans de Goede
Modified: 2015-02-17 16:28 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-02-17 16:28:09 UTC


Attachments (Terms of Use)

Description Hans de Goede 2013-07-31 09:08:34 UTC
Currently the / and /boot partitions for the arm images are labelled / and /boot, which get turned into __ and __boot as mount points by udisks, this is not really user friendly.

The F-18 images had rootfs and uboot as labelled which was much better IMHO.

Comment 1 Fedora Admin XMLRPC Client 2014-01-12 19:52:23 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Jon Disnard 2014-03-31 04:33:41 UTC
Agree with the problem statement.
Prepending an underscore seems arbitrary, and user unfriendly to ignore the --label= in kickstart by choosing the mount-point as label.

This would be solved in two places:
Appliance-tools applies the underscored-label to the swap partition, and possibly the vfat msdos u-boot filesystem. Imgcreate does the remaining labeling. So appliance-tools is consistent with the other tools it interacts with, but sadly the bulk of this processing is not in appliance-tools, so I'm not sure this is the right place to assign the BZ.

Comment 3 Fedora End Of Life 2015-01-09 19:11:35 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-02-17 16:28:09 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.